package com.bytedance.vmsdk.jsbridge.utils;

import X.C4258Lh3;
import com.bytedance.covode.number.Covode;
import java.util.ArrayList;

public interface ReadableArray {
    static {
        Covode.recordClassIndex(40236);
    }

    ReadableArray getArray(int i);

    boolean getBoolean(int i);

    byte getByte(int i);

    byte[] getByteArray(int i);

    char getChar(int i);

    double getDouble(int i);

    C4258Lh3 getDynamic(int i);

    int getInt(int i);

    long getLong(int i);

    ReadableMap getMap(int i);

    short getShort(int i);

    String getString(int i);

    ReadableType getType(int i);

    boolean isNull(int i);

    int size();

    ArrayList<Object> toArrayList();
}
